#!/usr/bin/env node

const commander = require('commander');
const packageInfo = require('../../package.json');

commander
  .version(packageInfo.version)
  .command('run [name]', 'run specifed task')
  .parse(process.argv);

const proc = commander.runningCommand;
if (proc) {
  proc.on('close', process.exit.bind(process));
  proc.on('error', () => {
    process.exit(1);
  })
}

const subCmd = commander.args[0];
if (!subCmd || subCmd !== 'run') {
  commander.help();
}